Bug 855671 - Quickcam microphone not working
Quickcam microphone not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 16:46 EDT by djcb
Modified: 2013-07-31 22:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:17:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description djcb 2012-09-09 16:46:19 EDT
Description of problem:

I can't get the microphone of my quickcam (ID 046d:08f0) to work with applications. While pavucontrol indicates that the sound is picked up (ie., the bars fluctuate as expected), somewhere in the system it gets lost.

Note, there's a (fixed) bug (bug #729269) that described some other problem with this device; as requested in that bug, this is a new bug for the remaining problems. See in particular comment #14 in that bug, which describes this issue well (it's the same I am seeing).

I'm not sure this is actually a kernel problem, but note that things work correctly when I use Debian/Sid on the same system. That uses some 3.2.x kernel.

How reproducible:

Try sound-recording applications; I could reproduce this with both Google+ 'Hangouts' and Skype, and in the abovementioned it was also reproduced with arecord. 

While pavucontrol shows that sound is heard, and the same for the indicator in Google+, the actual sound never seems to reach the app.
Comment 1 Eric Faure 2012-09-14 17:41:22 EDT
I have the same behavior with my Logitech Webcam C270 (ID 046d:0825)

I boot up the system and the microphone doesn't work.
The system is slow and/or unresponsive.
The problem occurs randomly, I may boot the system 20 times without problems...


The first error messages are the following:

Sep 14 17:06:59 diabolo kernel: [  138.320162] ALSA sound/usb/clock.c:228 2:3:4: cannot set freq 48000 to ep 0x86
...
...
Sep 14 17:07:07 diabolo kernel: [  146.320129] ALSA sound/usb/clock.c:228 2:3:4: cannot set freq 48000 to ep 0x86
Sep 14 17:07:07 diabolo gnome-session[1285]: WARNING: Application 'pulseaudio.desktop' failed to register before timeout
Sep 14 17:07:08 diabolo kernel: [  147.320076] ALSA sound/usb/clock.c:228 2:3:4: cannot set freq 48000 to ep 0x86
Sep 14 17:07:09 diabolo kernel: [  148.320124] ALSA sound/usb/clock.c:228 2:3:4: cannot set freq 48000 to ep 0x86
...
...
Sep 14 17:07:18 diabolo kernel: [  157.320036] ALSA sound/usb/clock.c:228 2:3:4: cannot set freq 48000 to ep 0x86
Sep 14 17:07:18 diabolo pulseaudio[1472]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
Sep 14 17:07:18 diabolo pulseaudio[1472]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="0" name="usb-046d_0825_1BA45110-02-U0x46d0x825" card_name="alsa_card.usb-046d_0825_1BA45110-02-U0x46d0x825" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
Sep 14 17:07:19 diabolo kernel: [  158.335104] ALSA sound/usb/clock.c:228 2:3:4: cannot set freq 48000 to ep 0x86
...
...
Comment 2 Ryan K 2012-10-09 21:08:57 EDT
I may be experiencing this or a related problem on Fedora 17 x64 with a Logitech C260 webcam.

At the end of every resume cycle I get the following error messages:

[20676.201097] ALSA sound/usb/clock.c:228 25:3:1: cannot set freq 16000 to ep x86
[20676.339007] ALSA sound/usb/clock.c:243 current rate 290 is different from the runtime rate 24000
[20676.348159] ALSA sound/usb/mixer.c:866 5:2: cannot get min/max values for control 2 (id 5)

Intermittently (say every 5th cycle or so) my camera and microphone will stop working. Stopping and restarting the Pulseaudio server seems to fix the problem.


I also experience intermittent, minor lags in my other USB devices (wireless keyboard/mouse) and a chipmunk sound whenever I mount USB thumb drives. I doubt these latter issues are related though.
Comment 3 Josh Boyer 2013-01-08 08:35:27 EST
Are you still having these issues with the 3.6.10 or newer kernel updates?
Comment 4 yurifun 2013-01-14 10:29:03 EST
Yes. This problem randomly repeats with my webcam ID 046d:09a4 Logitech, Inc. QuickCam E 3500.
uname -a
Linux vipmaster 3.6.11-1.fc17.x86_64 #1 SMP Mon Dec 17 22:16:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 5 yurifun 2013-01-14 10:32:15 EST
In some cases blank screen instead image from webcamera in skype and cheese.
Comment 6 Ryan K 2013-01-14 21:54:11 EST
Yes, I believe I was continuing to experience problems with >3.6.10 kernels.
I've actually migrated to Linux Mint 14 KDE Edition running the 3.5.0 kernel. 

I've not tested extensively in the new system, but it appears the issue remains (not surprisingly). Here is example dmesg output from a suspend/resume cycle:

 9:3:1: cannot set freq 16000 to ep 0x86
[25501.109078] PM: resume devices took 11.740 seconds
[25501.109078] ------------[ cut here ]------------
[25501.109083] WARNING: at /build/buildd/linux-3.5.0/kernel/power/suspend_test.c:53 suspend_test_finish+0x86/0x90()
[25501.109083] Hardware name: H55N-USB3
[25501.109084] Component: resume devices, time: 11740
[25501.109084] Modules linked in: btrfs zlib_deflate libcrc32c ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs reiserfs ext2 ath9k_htc arc4 rfcomm bnep bluetooth parport_pc ppdev snd_hda_codec_hdmi gpio_ich snd_hda_codec_realtek nvidia(PO) mac80211 coretemp kvm_intel uvcvideo videobuf2_core kvm videodev snd_hda_intel snd_hda_codec ath9k_common videobuf2_vmalloc ath9k_hw snd_usb_audio videobuf2_memops joydev snd_hwdep snd_pcm ath snd_usbmidi_lib snd_seq_midi snd_rawmidi snd_seq_midi_event microcode snd_seq cfg80211 serio_raw snd_timer snd_seq_device lpc_ich snd mac_hid mei soundcore snd_page_alloc lp parport xts gf128mul dm_crypt uvesafb hid_logitech_dj ghash_clmulni_intel aesni_intel cryptd aes_x86_64 usbhid hid [last unloaded: ath9k_htc]
[25501.109118] Pid: 16780, comm: pm-suspend Tainted: P        W  O 3.5.0-21-generic #32-Ubuntu
[25501.109119] Call Trace:
[25501.109120]  [<ffffffff81051c1f>] warn_slowpath_common+0x7f/0xc0
[25501.109124]  [<ffffffff81051d16>] warn_slowpath_fmt+0x46/0x50
[25501.109126]  [<ffffffff81099906>] suspend_test_finish+0x86/0x90
[25501.109127]  [<ffffffff81099418>] suspend_devices_and_enter+0xd8/0x310
[25501.109128]  [<ffffffff81099846>] pm_suspend+0x1f6/0x210
[25501.109130]  [<ffffffff81098787>] state_store+0x87/0xf0
[25501.109131]  [<ffffffff8132afdf>] kobj_attr_store+0xf/0x20
[25501.109134]  [<ffffffff811f139c>] sysfs_write_file+0xdc/0x150
[25501.109138]  [<ffffffff8118230c>] vfs_write+0xac/0x180
[25501.109140]  [<ffffffff8118263a>] sys_write+0x4a/0x90
[25501.109141]  [<ffffffff8168b969>] system_call_fastpath+0x16/0x1b
[25501.109145] ---[ end trace 59bda5e93689d1a3 ]---
[25501.109201] PM: Finishing wakeup.
Comment 7 Josh Boyer 2013-03-12 16:27:44 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 8 yurifun 2013-03-13 02:23:12 EDT
Yes, i have. 
Linux vipmaster 3.8.2-206.fc18.x86_64 #1 SMP Fri Mar 8 15:03:34 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 9 Masoud Pajoh 2013-06-28 15:28:44 EDT
I use F18, with all updates applied, on a X86_64 kernel with Evga Geforce 7600 GS PCI-E 256mb DDR2 video card.

I see this:
"alsa- sound/usb/clock.c 2:3:3 cannot set frequency to 16000 to ep 0X86"
randomly and often, and it hangs the system so that I have to reboot to continue.

I do have a Logitech Quickcam Orbit Mechanical Pan 180deg Mic connected to to usb port.
Comment 10 Ryan K 2013-06-29 12:12:11 EDT
I'm still seeing the cannot set freq errors on resume using my C260 webcam with Linux Mint 15 (3.8 kernel). For example:

 7:3:1: cannot set freq 16000 to ep 0x86

However, I'm not experiencing any hangs, crashes, or other issues with the system right anymore. Just a nuisance error message.
Comment 11 Fedora End Of Life 2013-07-03 19:31:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 22:17:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.